summaryrefslogtreecommitdiffstats
path: root/source/tcl/tk/tk.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/tk/tk.SlackBuild')
-rwxr-xr-xsource/tcl/tk/tk.SlackBuild28
1 files changed, 13 insertions, 15 deletions
diff --git a/source/tcl/tk/tk.SlackBuild b/source/tcl/tk/tk.SlackBuild
index f2adfc081..f3f77bbaa 100755
--- a/source/tcl/tk/tk.SlackBuild
+++ b/source/tcl/tk/tk.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-8.5.11}
-# See also version number 8.5 in the symlinks below...)
+VERSION=${VERSION:-8.6.1}
+# See also version number 8.6 in the symlinks below...)
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -85,34 +85,32 @@ CFLAGS="$SLKCFLAGS" \
--enable-shared \
--enable-threads \
--enable-64bit \
+ --mandir=/usr/man \
--enable-man-symlinks \
--enable-man-compression=gzip \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
+
+# Fix paths in tkConfig.sh:
+ sed -e "s@^\(TK_SRC_DIR='\).*@\1/usr/include'@" \
+ -e "/TK_B/s@='\(-L\)\?.*unix@='\1/usr/lib${LIBDIRSUFFIX}@" \
+ -i tkConfig.sh
+
make install DESTDIR=$PKG || exit 1
# Some sources require Tk's private headers, which might not be the
# best thing but we'll include them where we've seen other teams
# doing the same thing:
-mkdir -p $PKG/usr/include/tk-private/{generic,unix}
-cp -a ../generic/*.h $PKG/usr/include/tk-private/generic
-cp -a ../unix/*.h $PKG/usr/include/tk-private/unix
-( cd $PKG/usr/include/tk-private/generic
- rm -f tk.h tkDecls.h tkPlatDecls.h
- ln -sf ../../tk.h .
- ln -sf ../../tkDecls.h .
- ln -sf ../../tkPlatDecls.h
- for file in $(ls ../unix/*.h) ; do ln -sf $file ; done
-)
+make install-private-headers DESTDIR=$PKG || exit 1
( cd $PKG/usr/bin
rm -f wish
- ln -sf wish8.5 wish
+ ln -sf wish8.6 wish
)
( cd $PKG/usr/lib${LIBDIRSUFFIX}
rm -f libtk.so
- ln -sf libtk8.5.so libtk.so
+ ln -sf libtk8.6.so libtk.so
)
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \